Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.abase.formatting
Class ABaseFormatter

    java.lang.Object
      org.eclipse.xtext.formatting.impl.AbstractFormatter
          org.eclipse.xtext.formatting.impl.BaseFormatter
              org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter
                  org.eclipse.amp.amf.abase.formatting.ABaseFormatter

All Implemented Interfaces:
  org.eclipse.xtext.formatting.IFormatter

    public class ABaseFormatter

extends org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter

This class contains custom formatting description. see : http://www.eclipse.org/Xtext/documentation/latest/xtext.html#formatting on how and when to use it Also see `org.eclipse.xtext.xtext.XtextFormattingTokenSerializer` as an example

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter
`org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter.ConfigStore`

Field Summary

Fields inherited from class org.eclipse.xtext.formatting.impl.BaseFormatter
`grammar`

Constructor Summary
`ABaseFormatter()`

Method Summary
`protected void` | `configureFormatting(org.eclipse.xtext.formatting.impl.FormattingConfig c)`

Methods inherited from class org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter
`createFormatterStream, createFormattingConfig, createMatcher, getConfig, getGrammarAccess, getHiddenTokenHelper, getIndentInfo, getMatcherProvider, saveDebugGraphvizDiagram, setGrammarAccess`

Methods inherited from class org.eclipse.xtext.formatting.impl.BaseFormatter
`getWSRule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ABaseFormatter

    public ABaseFormatter()

Method Detail

### configureFormatting

    protected void configureFormatting(org.eclipse.xtext.formatting.impl.FormattingConfig c)

  Specified by:
    `configureFormatting` in class `org.eclipse.xtext.formatting.impl.AbstractDeclarativeFormatter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD